var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { UmbTiptapToolbarButtonElement } from './tiptap-toolbar-button.element.js';
import { customElement, html, when } from '../../../../external/lit/index.js';
/** @deprecated No longer used internally. Please use `UmbTiptapToolbarButtonActionElement` (`umb-tiptap-toolbar-button-action`) instead. This will be removed in Umbraco 19. [LK] */
let UmbTiptapToolbarButtonDisabledElement = class UmbTiptapToolbarButtonDisabledElement extends UmbTiptapToolbarButtonElement {
    render() {
        const label = this.localize.string(this.manifest?.meta.label);
        return html `
			<uui-button
				compact
				look="default"
				label=${label}
				title=${label}
				?disabled=${!this.isActive}
				@click=${() => this.api?.execute(this.editor)}>
				${when(this.manifest?.meta.icon, (icon) => html `<umb-icon name=${icon}></umb-icon>`, () => html `<span>${label}</span>`)}
			</uui-button>
		`;
    }
};
UmbTiptapToolbarButtonDisabledElement = __decorate([
    customElement('umb-tiptap-toolbar-button-disabled')
], UmbTiptapToolbarButtonDisabledElement);
export { UmbTiptapToolbarButtonDisabledElement };
export { UmbTiptapToolbarButtonDisabledElement as element };
